@base <https://purl.org/coscine/ap/sfb1394/AtomisticPostProcessing/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394AtomisticPostProcessing: <https://purl.org/coscine/ap/sfb1394/AtomisticPostProcessing#> .

 # AtomisticPostProcessing 
<https://purl.org/coscine/ap/sfb1394/AtomisticPostProcessing/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 AtomisticPostProcessing"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/AtomisticPostProcessing/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394AtomisticPostProcessing:ID ;
  sh:property coscineSfb1394AtomisticPostProcessing:aliasID ;
  sh:property coscineSfb1394AtomisticPostProcessing:user ;
  sh:property coscineSfb1394AtomisticPostProcessing:date ;
  sh:property coscineSfb1394AtomisticPostProcessing:affiliation ;
  sh:property coscineSfb1394AtomisticPostProcessing:dois ;
  sh:property coscineSfb1394AtomisticPostProcessing:softwareIds ;
  sh:property coscineSfb1394AtomisticPostProcessing:softwareEnvironmentId ;
  sh:property coscineSfb1394AtomisticPostProcessing:sourceIds ;
  sh:property coscineSfb1394AtomisticPostProcessing:framesUsed ;
  sh:property coscineSfb1394AtomisticPostProcessing:dataFormat ;
  sh:property coscineSfb1394AtomisticPostProcessing:computerName ;
  sh:property coscineSfb1394AtomisticPostProcessing:node ;
  sh:property coscineSfb1394AtomisticPostProcessing:cpuInfo ;
  sh:property coscineSfb1394AtomisticPostProcessing:gpuInfo ;
  sh:property coscineSfb1394AtomisticPostProcessing:cores ;
  sh:property coscineSfb1394AtomisticPostProcessing:requiredRam ;
  sh:property coscineSfb1394AtomisticPostProcessing:runtime ;
  sh:property coscineSfb1394AtomisticPostProcessing:submissionTime ;
  sh:property coscineSfb1394AtomisticPostProcessing:stopTime ;
  sh:property coscineSfb1394AtomisticPostProcessing:comments ;
.

coscineSfb1394AtomisticPostProcessing:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394AtomisticPostProcessing:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394AtomisticPostProcessing:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394AtomisticPostProcessing:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394AtomisticPostProcessing:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394AtomisticPostProcessing:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394AtomisticPostProcessing:softwareIds 
  sh:path sfb1394:softwareIds ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software IDs"@en, "Software IDs"@de ;
. 

coscineSfb1394AtomisticPostProcessing:softwareEnvironmentId 
  sh:path sfb1394:softwareEnvironmentId ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software environment ID"@en, "Software environment ID"@de ;
. 

coscineSfb1394AtomisticPostProcessing:sourceIds 
  sh:path sfb1394:sourceIds ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Source IDs"@en, "Source IDs"@de ;
. 

coscineSfb1394AtomisticPostProcessing:framesUsed 
  sh:path sfb1394:framesUsed ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Frames used"@en, "Frames used"@de ;
. 

coscineSfb1394AtomisticPostProcessing:dataFormat 
  sh:path sfb1394:dataFormat ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Data format"@en, "Data format"@de ;
. 

coscineSfb1394AtomisticPostProcessing:computerName 
  sh:path sfb1394:computerName ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Computer name"@en, "Computer name"@de ;
. 

coscineSfb1394AtomisticPostProcessing:node 
  sh:path sfb1394:node ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Node"@en, "Node"@de ;
. 

coscineSfb1394AtomisticPostProcessing:cpuInfo 
  sh:path sfb1394:cpuInfo ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "CPU info"@en, "CPU info"@de ;
. 

coscineSfb1394AtomisticPostProcessing:gpuInfo 
  sh:path sfb1394:gpuInfo ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "GPU info"@en, "GPU info"@de ;
. 

coscineSfb1394AtomisticPostProcessing:cores 
  sh:path sfb1394:cores ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Cores"@en, "Cores"@de ;
. 

coscineSfb1394AtomisticPostProcessing:requiredRam 
  sh:path sfb1394:requiredRam ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Required RAM [GB]"@en, "Required RAM [GB]"@de ;
  qudt:Unit unit:GigaBYTE ;
. 

coscineSfb1394AtomisticPostProcessing:runtime 
  sh:path sfb1394:runtime ;
  sh:order 17 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Runtime [h]"@en, "Runtime [h]"@de ;
  qudt:Unit unit:HR ;
. 

coscineSfb1394AtomisticPostProcessing:submissionTime 
  sh:path sfb1394:submissionTime ;
  sh:order 18 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:name "Submission time"@en, "Submission time"@de ;
. 

coscineSfb1394AtomisticPostProcessing:stopTime 
  sh:path sfb1394:stopTime ;
  sh:order 19 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:name "Stop time"@en, "Stop time"@de ;
. 

coscineSfb1394AtomisticPostProcessing:comments 
  sh:path sfb1394:comments ;
  sh:order 20 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
